CBORDUMP(1)

NAME
cbordump - tinycbor Concise Binary Object Representation (CBOR) library

SYNOPSIS
cbordump [OPTION]... [FILE]...

DESCRIPTION
Interprets FILEs as CBOR binary data and dumps the content to stdout.

OPTIONS

-c  Print a CBOR dump (see RFC 7049) (default)

-j  Print a JSON equivalent version

-h  Print this help output and exit

  When JSON output is active, the following options are recognized:

-M  Add metadata so converting back to CBOR is possible

-O  Convert CBOR tags to JSON objects

-S  Stringify non-text string map keys

-U  Convert all CBOR byte strings to Base64url regardless of tags

  When CBOR dump is active, the following options are recognized:

-f  Show text and byte string fragments

-n  Show overlong encoding of CBOR numbers and length